﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;

namespace ScrollingWhileDisabledGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'tddemoDataSet.Composer' table. You can move, or remove it, as needed.
            this.composerTableAdapter.Fill(this.tddemoDataSet.Composer);

            DisableThisGridWithScolling(this.c1FlexGrid1);
        }

        private void DisableThisGridWithScolling(C1.Win.C1FlexGrid.C1FlexGrid grid)
        {
            //Step 1 : Disable Editing
            grid.AllowEditing = false;

            //Step 2 : Disable column header click's operation
            grid.AllowSorting = AllowSortingEnum.None;
            grid.AllowDragging = AllowDraggingEnum.None;
            grid.AllowFiltering = false;
            grid.AllowResizing = AllowResizingEnum.None;

            //Step 3 : Disable default Selection
            grid.Row = -1;
            grid.Col = -1;

            //Step 4 : Disable Selection
            grid.BeforeSelChange += (s, e) =>{e.Cancel = true;};

            //Step 5 : Disable Drop
            grid.DropMode = DropModeEnum.None;

            //Stop 6 : Disable KeyPress
            grid.KeyPress += (s, e) => { e.Handled = true;};
            

        }
    }
}
